# Check Survival
execute store result score $team1 main if entity @a[team=Team1,gamemode=survival]
execute store result score $team2 main if entity @a[team=Team2,gamemode=survival]

# Team Detect Win
execute if score $team1 main matches ..0 if score $team2 main matches 1.. run function game:ingame/end/redwin
execute if score $team2 main matches ..0 if score $team1 main matches 1.. run function game:ingame/end/bluewin
execute if score $team1 main matches ..0 if score $team2 main matches ..0 run function game:ingame/end/tie

tag @a add inGame
# Handels Joining MidGame
tp @a[tag=!check] 45 55 18
gamemode spectator @a[tag=!check]
tag @a[tag=!check] add check
# Give System
give @a[tag=!item] carrot_on_a_stick{display:{Name:'[{"text":"TNT WAND","italic":false,"color":"dark_red","bold":true}]',Lore:['[{"text":"Right-click with your wand to shoot tnt.","italic":false}]','[{"text":"","italic":false}]','[{"text":"","italic":false}]','[{"text":"- ","italic":false,"color":"red"},{"text":" \\uE000 ","color":"dark_purple"},{"text":"50","color":"dark_aqua"}]']},Enchantments:[{id:knockback,lvl:1}],HideFlags:1} 1
give @a[tag=!item] warped_fungus_on_a_stick{display:{Name:'[{"text":"ROCKET JUMP WAND","italic":false,"color":"dark_red","bold":true}]',Lore:['[{"text":"Right-click with your wand to jump high!","italic":false}]','[{"text":"","italic":false}]','[{"text":"","italic":false}]','[{"text":"- ","italic":false,"color":"red"},{"text":" \\uE000 ","color":"dark_purple"},{"text":"200","color":"dark_aqua"}]']}} 1
tag @a add item
gamemode spectator @a[team=]

setworldspawn 44 55 9

execute as @e[type=item] run data merge entity @s {PickupDelay:0}

kill @a[predicate=game:die]
execute as @a[scores={death=1..}] run function game:ingame/death
# Border Protection
fill 73 18 -27 17 58 -27 air
fill 17 58 -26 17 22 46 air
fill 17 58 46 73 20 46 air
fill 73 58 -27 73 20 46 air
fill 18 58 -26 72 73 45 air
fill 72 21 -26 17 21 45 air
fill 73 21 46 17 21 -27 air
fill 18 62 45 72 55 -26 air

item replace entity @a[nbt={OnGround:1b}] armor.feet with air

function game:ingame/mana/mana_main
# WANDS 
execute as @a[scores={ShootDetect=1..},tag=!tnt.cooldown] at @s if score @s mana matches 20.. anchored eyes positioned ^ ^ ^ anchored feet run function tnt1:start_ray
scoreboard players set @a[scores={ShootDetect=1..}] ShootDetect 0

execute as @a[scores={RocketDetect=1..},tag=!rocket.cooldown] at @s if score @s mana matches 200.. run function game:ingame/rocket
effect clear @a[scores={rocket.cooldown=2..}] minecraft:levitation
scoreboard players set @a[scores={RocketDetect=1..}] RocketDetect 0

# Cooldown
scoreboard players add @a[tag=tnt.cooldown] tnt.cooldown 1
scoreboard players add @a[tag=rocket.cooldown] rocket.cooldown 1
tag @a[scores={tnt.cooldown=20..}] remove tnt.cooldown
tag @a[scores={rocket.cooldown=20..}] remove rocket.cooldown
scoreboard players reset @a[tag=!tnt.cooldown] tnt.cooldown
scoreboard players reset @a[tag=!rocket.cooldown] rocket.cooldown

# Events
execute if score $event_active main matches 1 run scoreboard players add $eventtime main 1
execute if score $eventtime main matches 1200 run function game:ingame/event/eventmain
execute if score $eventtime main matches 2400.. run function game:ingame/event/eventreset
# Jump / Speed
execute if score $event main matches 3 run effect give @a jump_boost 2 3 true
execute if score $event main matches 4 run effect give @a speed 2 3 true